Run a workflow
curl --request PUT \
--url https://api.kadoa.com/v4/workflows/{workflowId}/run \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"variables": {},
"limit": 100
}
'import requests
url = "https://api.kadoa.com/v4/workflows/{workflowId}/run"
payload = {
"variables": {},
"limit": 100
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({variables: {}, limit: 100})
};
fetch('https://api.kadoa.com/v4/workflows/{workflowId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Workflow started",
"jobId": "<string>",
"status": "running"
}{
"error": "<string>"
}{
"error": "<string>",
"recoveryHint": "<string>"
}{
"error": "<string>"
}{
"error": "Internal service error. Please try again later."
}Workflows
Run a workflow
PUT
/
v4
/
workflows
/
{workflowId}
/
run
Run a workflow
Authorizations
API key for authentication
Path Parameters
The ID of the workflow to run
Body
application/json
⌘I